/***************************************************************************
                          callbacks.h  -  description
                             -------------------
    begin                : Tue Feb 6 2001
    copyright            : (C) 2001 by Felix Gertz
    email                : felix_gertz@das-fluppt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALLBACKS_H
#define CALLBACKS_H
#include <gtk/gtk.h>


void
on_onoff_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void quit_function( GtkWidget *widget, gpointer data );

gint delete_event( GtkWidget *widget, GdkEvent *event, gpointer data );

void widget_destroy(GtkWidget *widget, GtkWidget *gonner);

void open_config_window(GtkWidget *widget, gpointer data);

void open_about_window(GtkWidget *widget, gpointer data);

void selection_made( GtkWidget      *clist,
                     gint            row,
                     gint            column,
                     GdkEventButton *event,
                     gpointer        data );

gint news_refresh( GtkWidget *widget, gpointer data );

void fill_clist();

void get_config_defaults( GtkWidget *widget, gpointer data );

void set_new_config( GtkWidget *widget, gpointer data);

void refresh_clist();

gint refresh_news_interval();

void error_window(char message[]);

#endif